Bug 83078 - RFE: HTTP proxy support
RFE: HTTP proxy support
Status: CLOSED DEFERRED
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-29 18:41 EST by Mike Cumings
Modified: 2007-03-27 00:00 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 10:09:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Cumings 2003-01-29 18:41:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; SunOS sun4u; en-US; rv:1.0.1) Gecko/20020920
Netscape/7.0

Description of problem:
From what I can tell via google, RedHat 6.0 contained two flags to the 'url'
kickstart config file handler to allow HTTP proxy servers to be used.  It
appears that somewhere along the line these options (--proxy <hostname> and
--proxyport <portnum>) were removed from anaconda.  My installation site has no
direct IP access to a web server and I therefore have no method of installing
via HTTP.

During an installation I did some research via the shell and found
the following - It appears that /usr/lib/anaconda/urlinstall.py is used for
ftp:// and http:// installs via the UrlInstallMethod.  This method in turn calls
/usr/python/lib/urllib.py 's urlretrieve() method.  This library apparently has
proxy support via the standard environment variables http_proxy and ftp_proxy.

Please (re?)add support for proxy-based HTTP installations into anaconda.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Examine the documentation and anaconda source
2. Fail fast.

    

Expected Results:  Ideally, support:
   --proxy hostname:port
   --proxyHost hostname
   --proxyPort port

Additional info:
Comment 1 Jeremy Katz 2003-02-09 21:19:08 EST
Will be considered for future releases.  The hard part is getting it in the
first stage where we are severely limited on available space.

Note You need to log in before you can comment on or make changes to this bug.